CGAL 5.6.3 - 3D Mesh Generation

Loading...
Searching...
No Matches
List of all members | Classes | Public Types | Public Member Functions | Static Public Member Functions
CGAL::Mesh_cell_base_3< GT, MD, Cb > Class Template Reference
3D Mesh Generation Reference » Mesh Classes

`#include <CGAL/Mesh_cell_base_3.h>`

## Inherits from

Mesh_3::Mesh_surface_cell_base_3< GT, MD, CGAL::Regular_triangulation_cell_base_with_weighted_circumcenter_3< GT, CGAL::Regular_triangulation_cell_base_3< GT > > >.

## Definition

template<class GT, class MD, class Cb = CGAL::Regular_triangulation_cell_base_with_weighted_circumcenter_3< GT, CGAL::Regular_triangulation_cell_base_3<GT> >>
class CGAL::Mesh_cell_base_3< GT, MD, Cb >

The class `Mesh_cell_base_3<GT, MD, Cb>` is a model of the concept `MeshCellBase_3`.

It is designed to serve as cell base class for the 3D triangulation used in the 3D mesh generation process.

Template Parameters

  GT | is the geometric traits class. It has to be a model of the concept `MeshTriangulationTraits_3`.
  MD | provides the types of indices used to identify the faces of the input complex. It has to be a model of the concept `MeshDomain_3`.
  Cb | is the cell base class. It has to be a model of the concept `RegularTriangulationCellBaseWithWeightedCircumcenter_3` and defaults to `Regular_triangulation_cell_base_with_weighted_circumcenter_3<GT>`.

Is Model Of:
  `MeshCellBase_3`

See also
  `CGAL::Mesh_complex_3_in_triangulation_3<Tr,CornerIndex,CurveIndex>`
  `CGAL::Compact_mesh_cell_base_3<GT, MD, Tds>`

## Classes
struct | Rebind_TDS

## Public Types
typedef Mesh_3::Mesh_surface_cell_base_3< GT, MD, Cb > | Base
typedef MD::Subdomain_index | Subdomain_index
typedef MD::Surface_patch_index | Surface_patch_index
typedef Surface_patch_index | Surface_index
typedef Base::Tds | Tds
typedef Tds::Vertex_handle | Vertex_handle
typedef Tds::Cell_handle | Cell_handle

## Public Member Functions
| Mesh_cell_base_3 ()
| Mesh_cell_base_3 (Vertex_handle v0, Vertex_handle v1, Vertex_handle v2, Vertex_handle v3)
| Mesh_cell_base_3 (Vertex_handle v0, Vertex_handle v1, Vertex_handle v2, Vertex_handle v3, Cell_handle n0, Cell_handle n1, Cell_handle n2, Cell_handle n3)
Subdomain_index | subdomain_index () const
void | set_subdomain_index (const Subdomain_index &index)
void | set_sliver_value (const FT &value)
const FT & | sliver_value () const
bool | is_cache_valid () const
void | reset_cache_validity () const

## Static Public Member Functions
static std::string | io_signature ()
typedef Tag_true | Has_timestamp
| For the determinism of Compact_container iterators.
std::size_t | time_stamp () const
void | set_time_stamp (const std::size_t &ts)